Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 567870 - Applications linked with OpenAL start up very slowly
Summary: Applications linked with OpenAL start up very slowly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openal-soft
Version: 13
Hardware: i386
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Thomas Kowaliczek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 07:30 UTC by Artem S. Tashkinov
Modified: 2010-03-09 03:28 UTC (History)
3 users (show)

Fixed In Version: openal-soft-1.11.753-3.20100225git.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 03:19:27 UTC
Type: ---


Attachments (Terms of Use)

Description Artem S. Tashkinov 2010-02-24 07:30:45 UTC
Description of problem: http://bugzilla.mplayerhq.hu/show_bug.cgi?id=1652

Version-Release number of selected component (if applicable): openal-soft-1.11.753-1

How reproducible: Always

Steps to Reproduce:
1. Compile any application with openal
2. Run it
3.
  
Actual results: a given application will spend from 1 to 3 second pestering sound cards and their parameters, calling the same ioctls for 50 times.

Expected results: no access to any hardware unless application decides to actually use openal.

Additional info:

Comment 1 Thomas Kowaliczek 2010-02-28 15:19:56 UTC
I will talk with upstream about this problem

Comment 2 Fedora Update System 2010-02-28 23:13:11 UTC
openal-soft-1.11.753-2.a9e0e57797c6f4321d5776e1f29bf1e75b11e6a1git.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openal-soft-1.11.753-2.a9e0e57797c6f4321d5776e1f29bf1e75b11e6a1git.fc13

Comment 3 Fedora Update System 2010-03-01 01:39:22 UTC
openal-soft-1.11.753-2.a9e0e57797c6f4321d5776e1f29bf1e75b11e6a1git.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openal-soft'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3182

Comment 4 Artem S. Tashkinov 2010-03-01 08:32:16 UTC
Problem solved, thanks a lot!

http://repo.or.cz/w/openal-soft.git/commit/d17c4a098cc12b279769f50be8d0f8860fac3204

Feel free to close this bug report when this update is pushed to 'updates'.

Comment 5 Fedora Update System 2010-03-01 23:04:05 UTC
openal-soft-1.11.753-3.20100225git.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openal-soft-1.11.753-3.20100225git.fc12

Comment 6 Fedora Update System 2010-03-01 23:04:14 UTC
openal-soft-1.11.753-3.20100225git.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openal-soft-1.11.753-3.20100225git.fc13

Comment 7 Fedora Update System 2010-03-03 01:55:14 UTC
openal-soft-1.11.753-3.20100225git.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openal-soft'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3419

Comment 8 Fedora Update System 2010-03-03 02:03:40 UTC
openal-soft-1.11.753-3.20100225git.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openal-soft'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3477

Comment 9 Fedora Update System 2010-03-09 03:19:23 UTC
openal-soft-1.11.753-3.20100225git.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-09 03:28:42 UTC
openal-soft-1.11.753-3.20100225git.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.